"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _lodash = require("lodash");

function getTeamPosition(match, playerId, type) {
  var players = match.players;
  var playerStats = players.find(function (p) {
    return p[type] === playerId;
  });
  var teamId = playerStats.teamId;
  var orderedPlayers = (0, _lodash.orderBy)(players, function (player) {
    var _player$stats;

    return (player === null || player === void 0 ? void 0 : (_player$stats = player.stats) === null || _player$stats === void 0 ? void 0 : _player$stats.score) || 0;
  }, 'desc');
  var orderedTeamPlayers = orderedPlayers.filter(function (player) {
    return player.teamId === teamId;
  });
  return orderedTeamPlayers.findIndex(function (player) {
    return player[type] === playerStats[type];
  }) + 1;
}

var _default = getTeamPosition;
exports["default"] = _default;